Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Checkout

  • Retrieve location settings

  • Update location settings

  • Retrieve merchant settings

  • Update merchant settings

  • List payment links

  • Create payment link

  • Delete payment link

  • Retrieve payment link

  • Update payment link

  • Webhooks

  • online_checkout.location_settings.updated

  • online_checkout.merchant_settings.updated

<- Checkout API

Checkout API

All versions ->

Retrieve merchant settingsBeta

GET

 /v2/online-checkout/merchant-settings

Retrieves the merchant-level settings for a Square-hosted checkout page.

Permissions:MERCHANT_PROFILE_READ, PAYMENT_METHODS_READ

Guide

Checkout Settings

Try in API Explorer
Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

merchant_settings

The merchant settings.

Link to section

Examples

All versions ->

GET /v2/online-checkout/merchant-settings
curl https://connect.squareup.com/v2/online-checkout/merchant-settings \ -H 'Square-Version: 2026-09-16' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "merchant_settings": { "merchant_id": "MERCHANT_ID", "updated_at": "2022-06-16T22:25:35Z", "payment_methods": { "apple_pay": { "enabled": true }, "google_pay": { "enabled": true }, "cash_app_pay": { "enabled": true }, "afterpay_clearpay": { "enabled": true, "order_eligibility_range": { "min": { "amount": 100, "currency": "USD" }, "max": { "amount": 10000, "currency": "USD" } }, "item_eligibility_range": { "min": { "amount": 100, "currency": "USD" }, "max": { "amount": 10000, "currency": "USD" } } } } } }